%define realname kapptemplate

Name: kde-sdk-kapptemplate
Summary: Template for KDE Application Development
Version: 4.14.3
Group: Graphical desktop/KDE4
Release: %mkrel 3
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{realname}-%{version}.tar.xz
BuildRequires: kde-pimlibs-devel >= %version
Provides: kapptemplate
Obsoletes: 	kde-sdk-help
Obsoletes:	kde-sdk-kmtrace
Obsoletes:	kde-sdk-kuiviewer 
Obsoletes:	kde-sdk-scripts 
Obsoletes:	kde-sdk-strigi-analyzer 
Obsoletes:	kde-sdk-devel

%description
KAppTemplate is a set of modular shell scripts that will create a
framework for any number of KDE application types. At its base
level, it handles creation of things like the automake/autoconf
framework, lsm files, RPM spec files, and po files. Then, there
are individual modules that allow you to create a skeleton KDE
application, a KPart application, a KPart plugin, or even convert
existing source code to the KDE framework.

%files
%_kde_bindir/kapptemplate
%_kde_applicationsdir/kapptemplate.desktop
%_kde_datadir/config.kcfg/kapptemplate.kcfg
%_kde_appsdir/kdevappwizard
%_kde_docdir/*/*/kapptemplate
%_kde_iconsdir/hicolor/*/apps/kapptemplate.png

#------------------------------------------------------------------------------

%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kapptemplate.desktop



%changelog
* Tue Jul 21 2015 pp <pp> 4.14.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 4.14.3-2pclos2015
- rebuild on 15.04.0

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Tue Jan 28 2014 bb <bb> 4.11.5-2pclos2014
- drop obsoletes kde-sdk-okteta

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- imported package kapptemplate

